import request from '@/utils/request'

// 查询中考下发短信日志列表
export function listSendSms(query) {
  return request({
    url: '/boman-web-core/sendSms/list',
    method: 'get',
    params: query
  })
}

// 查询中考下发短信日志详细
export function getSendSms(id) {
  return request({
    url: '/boman-web-core/sendSms/' + id,
    method: 'get'
  })
}

// 新增中考下发短信日志
export function addSendSms(data) {
  return request({
    url: '/boman-web-core/sendSms',
    method: 'post',
    data: data
  })
}

export function addSendSmsxf(data) {
  return request({
    url: '/boman-web-core/sendSms/sendSmsOnly',
    method: 'post',
    data: data
  })
}

// 修改中考下发短信日志
export function updateSendSms(data) {
  return request({
    url: '/boman-web-core/sendSms',
    method: 'put',
    data: data
  })
}

// 删除中考下发短信日志
export function delSendSms(id) {
  return request({
    url: '/boman-web-core/sendSms/' + id,
    method: 'delete'
  })
}

export function listSendSmsg(data) {
  return request({
    url: '/boman-web-core/importDataNoticeMore',
    method: 'post',
    data: data
  })
}


